> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tightknit.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Deactivate member

> **Requires Enterprise plan or higher.**

Deactivates a member from the community. Cannot be used on members with a linked Slack profile.



## OpenAPI

````yaml https://api.tightknit.ai/doc-mintlify post /admin/v0/members/{member_id}/deactivate
openapi: 3.1.0
info:
  version: 0.0.0
  title: Tightknit OpenAPI
servers:
  - url: https://api.tightknit.ai
    description: Production server
security:
  - Bearer: []
paths:
  /admin/v0/members/{member_id}/deactivate:
    post:
      tags:
        - Members
      summary: Deactivate member
      description: >-
        **Requires Enterprise plan or higher.**


        Deactivates a member from the community. Cannot be used on members with
        a linked Slack profile.
      parameters:
        - schema:
            type: string
            minLength: 1
            format: uuid
          required: true
          name: member_id
          in: path
      responses:
        '200':
          description: Member was deactivated successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - true
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      member:
                        type: object
                        properties:
                          id:
                            type: string
                            format: uuid
                          email:
                            type: string
                            nullable: true
                            format: email
                          full_name:
                            type: string
                          preferred_name:
                            type: string
                          avatar_url_original:
                            type: string
                            nullable: true
                          slack_profile_id:
                            type: string
                            nullable: true
                            pattern: ^U[A-Z0-9]{8,20}$
                        required:
                          - id
                          - email
                          - full_name
                          - preferred_name
                          - avatar_url_original
                          - slack_profile_id
                      already_deactivated:
                        type: boolean
                    required:
                      - member
                      - already_deactivated
                required:
                  - success
                  - message
                  - data
        '400':
          description: >-
            Invalid request — member has a linked Slack profile and cannot be
            deactivated via API.
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      hint:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - success
                  - error
        '403':
          description: Forbidden error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      hint:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - success
                  - error
        '404':
          description: Member not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      hint:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - success
                  - error
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      hint:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - success
                  - error
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

## Related topics

- [Manage Member Profiles](/profiles/manage-profiles.md)
- [Members](/studio/members.md)
- [Journeys](/gamification/journeys.md)
- [Activate a Channel for Tightknit](/channels-and-feeds/activate-channel.md)
- [General Settings](/companion-site/general.md)
